APIs / GitHub / Repository Readme

GitHub: Repository Readme

Repository Readme from GitHub as JSON. 1 credit per successful call.

GET /v1/github/repository-readme

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
ownerstringRequiredUp to 39 characters
repostringRequiredUp to 100 characters
refstringOptionalUp to 255 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/github/repository-readme?owner=laravel&repo=framework" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.